.pagination-item {
  border-radius: 50%;
  transition: all 330ms linear;
  user-select: none;
  -webkit-tap-highlight-color: transparent;
  margin-right: var(--spacing-medium);

  &,
  &:link,
  &:visited {
    color: var(--pagination-color);
    text-decoration: none;
    font-family: var(--secondary-font);
    font-size: var(--secondary-font-size-small);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 1em;
    height: 1em;
  }

  &.current {
    background: var(--pagination-current);
    color: var(--pagination-current-color);
  }

  &[aria-disabled="true"] {
    color: currentColor;
    pointer-events: none;
    text-decoration: none;
  }
}

.pagination-previous,
.pagination-next {
  &.disabled {
    cursor: not-allowed;
    opacity: 0.5;
  }
}

.pagination-next .pagination-item {
  margin-right: 0;
}
